package com.huiju.estateagents.eContract.service.impl;

import com.fadada.sdk.client.FddClientBase;
import com.fadada.sdk.util.crypt.FddEncryptTool;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.config.FadadaProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class TaCompanySealUtil {

    @Autowired
    private FadadaProperties fadadaProperties;

    public String addSignaTrue(String customerId, String imgUrl) throws Exception {
        FddClientBase base = new FddClientBase(fadadaProperties.getAppId(), fadadaProperties.getAppSecret(), fadadaProperties.getVersion(), fadadaProperties.getServeHost());
        String base64Url = FddEncryptTool.ImageToBase64ByOnline(imgUrl);
        return base.invokeaddSignature(customerId, base64Url);
    }
}
